- hosts: odroid_cluster
  name: Apt udate
  become: true
  tasks:
    - name: Apt exclude linux-dtb-current-meson64
      ansible.builtin.shell: 'apt-mark hold linux-dtb-current-meson64'
      changed_when: false
    # - name: Install K3S
    #   ansible.builtin.shell: 'apt-mark hold linux-image-current-meson64'
    #   changed_when: false
    # - name: Install K3S
    #   ansible.builtin.shell: 'apt-mark hold linux-libc-dev'
    #   changed_when: false
    
    # - name: Install K3S
    #   ansible.builtin.shell: 'apt-mark hold linux-u-boot-odroidc4-current'
    #   changed_when: false
    # - name: Install K3S
    #   ansible.builtin.shell: 'apt-mark hold armbian-bsp-cli-odroidc4'
    #   changed_when: false
    # - name: Install K3S
    #   ansible.builtin.shell: 'apt-mark hold armbian-config'
    #   changed_when: false
    # - name: Install K3S
    #   ansible.builtin.shell: 'apt-mark hold armbian-firmware'
    #   changed_when: false
    # - name: Install K3S
    #   ansible.builtin.shell: 'apt-mark hold armbian-zsh'
    #   changed_when: false
    - name: Apt update
      ansible.builtin.shell: 'apt update'
      changed_when: false
    - name: Apt upgrade
      ansible.builtin.shell: 'apt -o Dpkg::Options::="--force-confnew" upgrade -y'
      changed_when: false
    # - name: Apt
    #   ansible.builtin.apt:
    #     update_cache: true
    #     upgrade: true
    #     dpkg_options: 'force-confold,force-confdef'
    # - name: Get memory
    #   ansible.builtin.command: /usr/bin/free
    #   changed_when: false
